print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local juiceHudFile = "Paletten/hud_fill_juice.dds"
	local juiceHudFileSmall = "Paletten/hud_fill_juice_small.dds"
	
    local juiceFilType = g_fillTypeManager:addFillType("JUICE", g_i18n:getText("juice"), true, pricebeer * 1.8, 0.00045, math.rad(10), juiceHudFile, juiceHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasjuice=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasjuice=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "JUICE" then
		hasjuice=true
	end;
		
end;

		if hasmaize and not hasjuice then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("JUICE")
		local price = g_fillTypeManager:getFillTypeByName("JUICE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("JUICE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)